Bug 1121067 - Succeed to add cartridge even with invalid template url via oo-cartridge
Summary: Succeed to add cartridge even with invalid template url via oo-cartridge
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Containers
Version: 2.x
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 2.x
Assignee: Jhon Honce
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks: 1123891
TreeView+ depends on / blocked
 
Reported: 2014-07-18 09:56 UTC by Wenjing Zheng
Modified: 2015-05-14 23:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1123891 (view as bug list)
Environment:
Last Closed: 2014-10-10 00:49:04 UTC


Attachments (Terms of Use)

Description Wenjing Zheng 2014-07-18 09:56:32 UTC
Description:
Succeed to add cartridge even when user define invalid template url to add cartridge:

[root@ip-10-61-173-184 ~]# oo-cartridge  --with-container-uuid 123456 --action add --with-cartridge-name perl-5.10 --with-template-url git@github.com:123
Cartridge add succeeded
[root@ip-10-61-173-184 ~]# ls /var/lib/openshift/123456/
app-deployments  app-root  git  perl

Version-Release number of selected component (if applicable):
fork_ami_origin_node_401_1226

How reproducible:
always

steps to Reproduce:
1. Create a container
2. Add cartridge with invalid template
# oo-cartridge  --with-container-uuid 123456 --action add --with-cartridge-name perl-5.10 --with-template-url git@github.com:123

Actual results:
It displays succeed and the cartridge can be added to the container

Expected results:
It should not be added successfully and a warning like this should appears:
Cartridge add failed
CLIENT_ERROR: Source code repository could not be cloned: 'git@github.com:123'. Please verify the repository is correct and contact support.: rc(131

Additional info:
This issue doesn't exist in fork_ami_origin_node_401_1222 and latest devenv_4978

Comment 1 Jhon Honce 2014-07-21 16:22:52 UTC
I get the error message using the new code.  Using oo-cartridge, the cartridge is always added to the gear whether there is an error or not.

Merging code to master: https://github.com/openshift/origin-server/pull/5634

Comment 2 Wenjing Zheng 2014-07-22 03:41:00 UTC
Test on devenv_4992. the error appears like below but the cartridge can be added:
[root@ip-10-144-207-61 ~]# oo-cartridge  --with-container-uuid 123456 --action add --with-cartridge-name perl-5.10 --with-template-url git@123
Cartridge add failed
CLIENT_ERROR: Source code repository URL protocol must be one of: git, git@, http, https, ftp, ftps, rsync, file: rc(130
[root@ip-10-144-207-61 ~]# oo-cartridge  --with-container-uuid 123456 --action add --with-cartridge-name perl-5.10 --with-template-url file://123
Cartridge add failed
CLIENT_ERROR: Source code repository could not be cloned: 'file://123'. Please verify the repository is correct and contact support.: rc(131
[root@ip-10-144-207-61 ~]# oo-cartridge  --with-container-uuid 123456 --action add --with-cartridge-name perl-5.10 --with-template-url git@github.com:123
Cartridge add failed
CLIENT_ERROR: The provided source code repository URL is not valid (bad URI(is not URI?): git@github.com:123): rc(130

If the cartridge won't be influenced by template url, it can be added anyway, can the warning be more clear, like "cartridge add succeeded, however there is a warning about ...."?

Comment 3 Jhon Honce 2014-07-24 18:43:33 UTC
Fixed in https://github.com/openshift/origin-server/pull/5656

Comment 4 openshift-github-bot 2014-07-24 20:30:25 UTC
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/1ede045bcad26236f10e004b0a70916766e430b8
Bug 1121067 - Updated error messages

Comment 5 Wenjing Zheng 2014-07-25 01:56:57 UTC
Verified on devenv_5008, for the cartridge can be added even providing incorrect template url, so the warning message displays "Cartridge add succeeded".


Note You need to log in before you can comment on or make changes to this bug.